/*
 * statrange.h - Screen that displays stats between two times
 * Copyright (C) 2024  Alexander Rosenberg
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version. See the LICENSE file for more information.
 */
#ifndef INCLUDED_STATRANGE_H
#define INCLUDED_STATRANGE_H

#include "datesel.h"
#include "timesel.h"

typedef struct {
    Screen parent;
    enum {
        STAT_RANGE_START_DATE,
        STAT_RANGE_START_TIME,
        STAT_RANGE_END_DATE,
        STAT_RANGE_END_TIME,
        STAT_RANGE_SHOW
    } stage;
    enum {
        STAT_RANGE_AVG = 0,
        STAT_RANGE_TEMP,
        STAT_RANGE_HUMID,
        STAT_RANGE_NVIEW
    } view;
    bool need_redraw;
    DateSelection sds;
    TimeSelection sts;
    DateSelection eds;
    TimeSelection ets;
} StatRangeScreen;

/*
 * Create a new stat range screen. The screen will display average data between
 * two times.
 */
StatRangeScreen *stat_range_screen_new(void);

#endif
